Bug 253702 - server files have wrong path to the binary location
server files have wrong path to the binary location
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: bonobo (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Ray Strode [halfline]
:
Depends On:
Blocks: 253703 253704 253705 253706
  Show dependency treegraph
 
Reported: 2007-08-21 08:06 EDT by Kjartan Maraas
Modified: 2009-01-09 02:13 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 02:13:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kjartan Maraas 2007-08-21 08:06:11 EDT
Description of problem:
Found this out when trying to run some of the tests in libbonoboui:

Bonobo_Moniker_std.server:      type="shlib"
location="/usr/$LIB/bonobo/monikers/libmoniker_std_2">
Bonobo_Sample_Controls.server: 
location="/usr/$LIB/bonobo-2.0/samples/bonobo-sample-controls-2">
Bonobo_Sample_Echo.server:     
location="/usr/$LIB/bonobo-2.0/samples/bonobo-echo-2">

$LIB should have been expanded somehow I guess.

I see the same problem in the .server files from evolution, gnome-spell,
gtkhtml3 and libgnome.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Matthew Barnes 2007-08-21 08:50:44 EDT
I believe that's to support multilib.  It should expand to 'lib' or 'lib64'
depending on the machine architecture.  The spec files substitute in $LIB
explicitly:

for serverfile in $RPM_BUILD_ROOT%{_libdir}/bonobo/servers/*.server; do
    sed -i -e 's|location *= *"/usr/lib\(64\)*/|location="/usr/$LIB/|' $serverfile
done

Can you provide some examples of the tests that are failing?
Comment 2 Kjartan Maraas 2007-08-21 08:59:41 EDT
(test-focus:20202): Bonobo-WARNING **: Activation exception 'Kunne ikke starte
en ny prosess:Feil under kjøring av underprosess
«/usr/$LIB/bonobo-2.0/samples/bonobo-sample-controls-2» (Ingen slik fil eller
filkatalog)' 
Comment 3 Ray Strode [halfline] 2007-08-21 10:18:36 EDT
no, $LIB (and the slightly better ${LIB}) are magic strings understood by libdl
the don't need to be expanded.

Kjartan, can you translate that message for me?
Comment 4 Kjartan Maraas 2007-08-21 17:45:00 EDT
It would be something like this in english:

(test-focus:20202): Bonobo-WARNING **: Activation exception 'Could not start
a new process:Error executing subprocess (child process?)
«/usr/$LIB/bonobo-2.0/samples/bonobo-sample-controls-2» (No such file or 
directory)' 

Comment 5 Ray Strode [halfline] 2007-08-21 17:49:05 EDT
ah, in that particular one it is type=exe, we only want $LIB for type=shlib
server files
Comment 6 Bug Zapper 2008-11-26 02:42:09 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2009-01-09 02:13:17 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.